# app/src/telegram/routers.py

from aiogram import Dispatcher

from src.telegram.handlers.auto import router as auto_router
from src.telegram.handlers.debug import router as debug_router
from src.telegram.handlers.debug_auto.main import router as debug_auto_router
from src.telegram.handlers.home import router as home_router
from src.telegram.handlers.journal import router as journal_router
from src.telegram.handlers.portfolio import router as portfolio_router
from src.telegram.handlers.start import router as start_router
from src.telegram.handlers.system import router as system_router


def setup_routers(dispatcher: Dispatcher) -> None:
    dispatcher.include_router(start_router)
    dispatcher.include_router(home_router)
    dispatcher.include_router(portfolio_router)
    dispatcher.include_router(auto_router)
    dispatcher.include_router(journal_router)
    dispatcher.include_router(debug_auto_router)
    dispatcher.include_router(debug_router)
    dispatcher.include_router(system_router)